#! /bin/bash
#
# BASIC TESTS
#


# Cleaning
test -e errors.txt && rm -f errors.txt
test -e test1.successfull && rm -f test1.successfull
test -e test2.successfull && rm -f test2.successfull
test -e tests.successfull && rm -f tests.successfull

#
# Testing
#
test ! -e test1.successfull && (cd test1 && ./test.sh && cd ..)
test ! -e test2.successfull && (cd test2 && ./test.sh && cd ..)

#
# Finalizing
#
(test ! -e test1.successfull || test ! -e test2.successfull) && (echo "Some error(s) appeared!" && cat -n errors.txt && rm -f errors.txt)

(test -e test1.successfull && test -e test2.successfull) && echo OK > ../tests.successfull

test -e test1.successfull && rm -f test1.successfull
test -e test2.successfull && rm -f test2.successfull
